<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*/
	
	$config = array();
	
	/**
	* Your site URL. Make sure to include a trailing slash.
	* Set "AUTO" for automatically finding the URL
	* Used in the form addon, and includding css and javascript files
	*/
	$config['site_url']				= 'AUTO';
	
	/**
	* If your site is in a folder higher than the domain root
	* Such as for http://www.example.com/sub_folder/ 
	* you would put 'sub_folder/' here
	*/
	$config['folder']				= '';
	
	/**
	* Display standard critical system errors.
	* Set to false to NOT show these errors.
	* Default: true
	*/
	$config['display_errors']		= true;
	
	/**
	* Set true to use query strings instead of "clean URIs"
	* Default: true
	*/
	$config['clean_uri'] 			= true;
	
	/**
	* Allow mods to be loaded and used
	* Default: true;
	*/
	$config['enable_mods']			= true;
	
	/**
	* Enable GZIP compression if available
	* Default: true
	*/
	$config['enable_compression']	= true;
	
	/**
	* Start a session at system initialization?
	* Default: false
	*/
	$config['session_auto_start']	= false;
	
	$config['controller_trigger'] 	= 'c';
	$config['method_trigger'] 		= 'm';
	$config['path_trigger']			= 'p';
	
?>