<?php
	
	if(!defined('SYS_ROOT')){exit('No direct file access allowed!');}
	
	/**
	* Xtron PHP Framework
	* A MVC style framework for building web applications
	* By: Jason Alan Delaney (http://www.xtroncms.com)
	* PHP version 5+
	*
	* Base controller
	*/
	
	class Controller{
		
		private static $inst;
		
		function __construct(){
			self::$inst =& $this;
			$this->base();
		}
		
		public static function &controller_instance(){
			return self::$inst;
		}
		
		//load all base libraries for controllers to use
		function base(){

			$libs = array(
				'config' 	=> 'Config',
				'uri' 		=> 'URI',
				'router' 	=> 'Router',
				'display' 	=> 'Display',
				'load' 		=> 'Fetcher'
			);
			
			foreach($libs as $name => $val){
				$this->$name = load_class($val);
			}

			$this->load->xpf_autoloader();
		
		}
		
		
	}
	
	function &controller_instance(){
		return Controller::controller_instance();
	}
	
?>